%global gem_name mocha
Summary:             Mocking and stubbing library
Name:                rubygem-%{gem_name}
Version:             2.1.0
Release:             1
License:             MIT or Ruby or BSD
URL:                 https://github.com/freerange/mocha
Source0:             http://rubygems.org/gems/mocha-%{version}.gem
# git clone https://github.com/freerange/mocha.git && cd mocha
# git archive -v -o mocha-2.1.0-test.tar.gz v2.1.0 test/
Source1:             %{gem_name}-%{version}-test.tar.gz
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(introspection)
BuildRequires:       rubygem(minitest) rubygem(did_you_mean) rubygem(test-unit)
BuildArch:           noarch
%global __requires_exclude ruby2_keywords

%description
Mocking and stubbing library with JMock/SchMock syntax, which allows mocking
and stubbing of methods on real (non-mock) classes.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
This package contains documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b 1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/test .

# Each part of test suite must be run separately, otherwise the test suite fails.
# https://github.com/freerange/mocha/issues/121
for kind in unit acceptance; do
  ruby -e "Dir.glob('./test/$kind/**/*_test.rb').each {|t| require t}"
done

MOCHA_RUN_INTEGRATION_TESTS=minitest ruby -rminitest -e "Dir.glob('./test/integration/**/mini_test_test.rb').each {|t| require t}"
MOCHA_RUN_INTEGRATION_TESTS=test-unit ruby -rtest/unit -e "Dir.glob('./test/integration/**/test_unit_test.rb').each {|t| require t}"
popd

%files
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/COPYING.md
%license %{gem_instdir}/MIT-LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/RELEASE.md
%{gem_instdir}/Rakefile
%{gem_instdir}/mocha.gemspec
%{gem_instdir}/gemfiles/

%changelog
* Wed Jan 24 2024 liyanan <liyanan61@h-partners.com> - 2.1.0-1
- Upgrade to 2.1.0

* Fri Jul 01 2022 xu_ping <xuping33@h-partners.com> - 1.14.0-1
- Upgrade 1.14.0

* Wed Aug 5 2020 wangchong <wangchong56@huawei.com> - 1.1.0-1
- package init
